# Generated by go2rpm 1.16.0
%bcond check 1
%bcond bootstrap 0

%if %{with bootstrap}
%global debug_package %{nil}
%endif

%if %{with bootstrap}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^golang\\(.*\\)$
%endif

# https://github.com/strukturag/nextcloud-spreed-signaling
%global goipath         github.com/strukturag/nextcloud-spreed-signaling
Version:                2.0.3

%gometa -L -f

%global common_description %{expand:
Standalone signaling server for Nextcloud Talk.}

%global proxy_description %{expand:
A proxy server for signaling.}

%global golicenses      LICENSE
%global godocs          docs CHANGELOG.md README.md docker/README.md

Name:           nextcloud-spreed-signaling
Release:        %autorelease
Summary:        Standalone signaling server for Nextcloud Talk

License:        AGPL-3.0-only
URL:            %{gourl}
Source0:        %{gosource}
Source1:        signaling.service
Source2:        signaling-proxy.service
Source3:        signaling.sysusers

%description
%{common_description}

%package proxy
Summary: A proxy server for signaling

BuildRequires: systemd-rpm-macros

%description proxy
%{proxy_description}

%gopkg

%prep
%goprep -A

%if %{without bootstrap}
%generate_buildrequires
%go_generate_buildrequires
%endif

%if %{without bootstrap}
%build
%gobuild -o %{gobuilddir}/bin/signaling %{goipath}/server
%gobuild -o %{gobuilddir}/bin/signaling-proxy %{goipath}/proxy
%endif

%install
%gopkginstall
%if %{without bootstrap}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
install -m 0755 -vd %{buildroot}%{_sysconfdir}/signaling
install -m 0644 -vp server.conf.in %{buildroot}%{_sysconfdir}/signaling/server.conf
install -m 0644 -vp proxy.conf.in %{buildroot}%{_sysconfdir}/signaling/proxy.conf
install -m 0755 -vd %{buildroot}%{_unitdir}
install -m 0644 -vp %{SOURCE1} %{buildroot}%{_unitdir}/
install -m 0644 -vp %{SOURCE2} %{buildroot}%{_unitdir}/
install -p -D -m 0644 %{SOURCE3} %{buildroot}%{_sysusersdir}/%{name}.conf
%endif

%if %{without bootstrap}
%if %{with check}
%check
%gocheck
%endif
%endif

%pre
%sysusers_create_compat %{SOURCE3}

%post
%systemd_post signaling.service

%post proxy
%systemd_post signaling-proxy.service

%preun
%systemd_preun signaling.service

%preun proxy
%systemd_preun signaling-proxy.service

%postun
%systemd_postun_with_restart signaling.service

%postun proxy
%systemd_postun_with_restart signaling-proxy.service

%if %{without bootstrap}
%files
%license LICENSE
%doc docs CHANGELOG.md README.md docker/README.md
%attr(0755,root,root) %dir %{_sysconfdir}/signaling
%config(noreplace) %{_sysconfdir}/signaling/server.conf
%{_bindir}/signaling
%{_bindir}/signaling-proxy
%{_unitdir}/signaling.service
%{_sysusersdir}/%{name}.conf

%files proxy
%license LICENSE
%doc docs CHANGELOG.md README.md
%attr(0755,root,root) %dir %{_sysconfdir}/signaling
%config(noreplace) %{_sysconfdir}/signaling/proxy.conf
%{_bindir}/signaling-proxy
%{_unitdir}/signaling-proxy.service
%endif

%gopkgfiles

%changelog
%autochangelog
